Subject: Re: [sidr] New Version Notification for draft-kklf-sidr-route-server-rpki-light-00.txt

From: Thomas King <[email-masked]>
Date: Wed, 4 May 2016 06:55:00 +0000

I propose to add the following to section “Operational Recommendations”:

3.3.  Information about Validity of a BGP Prefix Origin Not Available at
      a Route-Server

   In case information about the validity of a BGP prefix origin is not
   available at the route-server (e.g., error in the ROA cache, CPU
   overload) the route-server MUST NOT add the BGP Prefix Origin
   Validation State Extended Community to the route.

Best regards,
Thomas

On 26/04/2016, 14:33, "Thomas King" <[email-masked]> wrote:

>I would like to come back to a solution that was discussed already: If the route-server is not able to perform the origin prefix validation the BGP community is not added to the BGP update. The BGP community is only added if the origin prefix validation could be executed.
>
>This solution allows a clear signalling. This would also be compatible with the current ietf-sidr-origin-validation-signaling document and could be easily stated in draft-kklf-sidr-route-server-rpki-light.
>
>Best regards,
>Thomas
>
>
>
>
>On 26/04/2016, 13:32, "Matthias Waehlisch" <[email-masked]> wrote:
>
>>There was a quite similar discussion in 2013, for the thread see
>>
>>https://mailarchive.ietf.org/arch/msg/sidr/zvSP_-iiEfu_acYInK5lOMnys5U
>>
>>As far as I remember w/o a final conclusion (or the conclusion was 
>>leave it as is).
>>
>>
>>Cheers
>>  matthias
>>
>>On Tue, 26 Apr 2016, Thomas King wrote:
>>
>>> Hi all,
>>> 
>>> Following up on the discussion we had during the last IETF meeting I would like to discuss with you how we proceed with the “Did not perform validation” value. I think this value is very important and should be added to ietf-sidr-origin-validation-signaling.
>>> 
>>> Best regards,
>>> Thomas
>>> _______________________________________________
>>> sidr mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/sidr
>>> 
>>
>>
>>-- 
>>Dr. Matthias Waehlisch
>>.  Freie Universitaet Berlin, Inst. fuer Informatik, AG CST
>>.  Takustr. 9, D-14195 Berlin, Germany
>>.. mailto:[email-masked] .. http://www.inf.fu-berlin.de/~waehl
>>:. Also: http://inet.haw-hamburg.de .. http://www.link-lab.net